package cc.smtweb.system.bpm.web.sys.user.menuPlan;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2022-08-01 18:08:28
 * 实体【[菜单方案](SYS_MENU_PLAN)】的Entity类
 */
@SwTable("SYS_MENU_PLAN")
public class MenuPlan extends DefaultEntity {
    public static final String ENTITY_NAME = "SYS_MENU_PLAN";

    public MenuPlan() {
        super(ENTITY_NAME);
    }

    /**
     * 主键
     */
    public long getId() {
        return getLong("smp_id");
    }

    /**
     * 主键
     */
    public void setId(long smp_id) {
        put("smp_id", smp_id);
    }

    /**
     * 名称
     */
    public String getName() {
        return getStr("smp_name");
    }

    /**
     * 名称
     */
    public void setName(String smp_name) {
        put("smp_name", smp_name);
    }

    /**
     * 详细
     */
    public String getContent() {
        return getStr("smp_content");
    }

    /**
     * 详细
     */
    public void setContent(String smp_content) {
        put("smp_content", smp_content);
    }

    /**
     * 备注
     */
    public String getRemark() {
        return getStr("smp_remark");
    }

    /**
     * 备注
     */
    public void setRemark(String smp_remark) {
        put("smp_remark", smp_remark);
    }
}
